#1956 closed defect (fixed)

Fix CPU_STACK_ALIGNMENT

Reported by: seb Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

(from Werner Almesberger)
The comments in cpukit/score/cpu/lm32/rtems/score/cpu.h state that
CPU_STACK_ALIGNMENT should either be 0 or >= CPU_ALIGNMENT. The
latter is 8, the former was 4.

I'm not sure if this fix has any real-life impact on M1 behaviour,
but I guess it can't hurt.

  • Werner

Index: cpukit/score/cpu/lm32/rtems/score/cpu.h
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/score/cpu/lm32/rtems/score/cpu.h,v
retrieving revision 1.14
diff -u -r1.14 cpu.h
--- cpukit/score/cpu/lm32/rtems/score/cpu.h 27 Sep 2011 09:17:02 -0000 1.14
+++ cpukit/score/cpu/lm32/rtems/score/cpu.h 8 Nov 2011 18:27:45 -0000
@@ -695,7 +695,7 @@

*

  • XXX document implementation including references if appropriate */

-#define CPU_STACK_ALIGNMENT 4
+#define CPU_STACK_ALIGNMENT 0

/*

  • ISR handler macros

Attachments (1)

alignment.diff (2.5 KB) - added by seb on Nov 10, 2011 at 4:41:36 PM.
New patch

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Nov 9, 2011 at 7:39:25 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Nov 10, 2011 at 4:41:36 PM by seb

Attachment: alignment.diff added

New patch

comment:2 Changed on Nov 28, 2011 at 4:36:45 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed. Closing.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.